Bug 624268 - widgetset.py:121:reload:TypeError: WebKitWebFrame.load_uri() argument 1 must be string, not None
Summary: widgetset.py:121:reload:TypeError: WebKitWebFrame.load_uri() argument 1 must ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-15 12:00 UTC by Bishnu Marasini
Modified: 2010-09-15 05:53 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-15 05:38:44 UTC


Attachments (Terms of Use)

Description Bishnu Marasini 2010-08-15 12:00:06 UTC
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/weakconnect.py", line 49, in handle_callback
    return real_method(obj, *(args + self.user_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/base.py", line 206, in do_forward_signal
    self.emit(forwarded_signal_name, *args)
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 155, in emit
    if callback.invoke(self, args):
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 76, in invoke
    return self.func(obj, *(args + self.extra_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/browser.py", line 123, in _on_reload_button_clicked
    self.emit('browser-reload')
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 155, in emit
    if callback.invoke(self, args):
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 89, in invoke
    return callback(obj, *(args + self.extra_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/browser.py", line 243, in _on_browser_reload
    self.browser.reload()
  File "/usr/lib/python2.6/site-packages/miro/plat/frontends/widgets/widgetset.py", line 121, in reload
    self._browser.get_frame().load_uri(self.url)
TypeError: WebKitWebFrame.load_uri() argument 1 must be string, not None

Local variables in innermost frame:
self: <miro.frontends.widgets.browser.Browser object at 0x99c70ac>

Comment 1 Fedora Update System 2010-08-29 17:21:09 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 2 Fedora Update System 2010-08-29 17:28:08 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 3 Fedora Update System 2010-08-29 17:32:17 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 4 Fedora Update System 2010-08-31 06:29:44 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 5 Fedora Update System 2010-09-15 05:35:53 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-09-15 05:50:51 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.